;---------------------;
;      EXAMPLE #1     ;
;     for ET-BOARD    ;
;---------------------;
         CPU "Z80.TBL"
         HOF "INT8"

         ORG 2000H
COUNT5:  EQU 3100H   ; Ѻӹǹѡ(5ѡ)
COUNT8:  EQU 3101H   ; Ѻӹǹ(8)
BUFFER:  EQU 3000H   ; ˹觢ͧ display buffer
                     ; 5ѡ(3000H-3027H)
PORTA:   EQU 20H     ; port A ͧ 8255  ET-BOARD
PORTB:   EQU 21H     ; port B ͧ 8255  ET-BOARD
PORTC:   EQU 22H     ; port C ͧ 8255  ET-BOARD
CTPORT:  EQU 23H     ; port control ͧ 8255  ET-BOARD

         CALL DELAY
         LD  A,80H
         OUT (CTPORT),A
         OUT (PORTB),A  ; OFF SCAN
         CALL CHAR      ; ˹ data ŧ㹵˹
                        ; display buffer  5 ѡ
         CALL LET       ; ˹

MAIN:    PUSH IX
         ;---------
         CALL OPEN      ; data ͡  LED Դ
         ;---------
         POP IX
         INC IX
         CALL DEC8
         JR  NZ,MAIN
         CALL LET
         JP MAIN

;----------------------;  data  table ѧ
;       character      ; display buffer  5 ѡ
;----------------------; ͹ data  display buffer
CHAR:    LD B,28H      ; ͡ʧŷҧ LED
         LD HL,TABLE
         LD IX,BUFFER
Q1:      LD A,(HL)
         LD (IX+0),A
         INC HL
         INC IX
         DJNZ Q1
         RET
;----------------------; ӡ data 㹵˹
;        ON LED        ; display buffer  5 ѡ
;----------------------; ͡ѧ LED
OPEN:    PUSH DE
M1:      LD  A,D
         OR  0F0H
         OUT (PORTB),A
         LD  A,(IX+0)
         OUT (PORTA),A
         LD  A,0FFH
         OUT (PORTB),A
         INC D
         CALL IX8
         CALL DEC5
         JR  NZ,M1
         LD  A,05H
         LD  (COUNT5),A
         POP DE

         LD  A,D
         AND 0F0H
         OUT (PORTB),A
         ADD A,10H
         LD  D,A
         CALL DELAY
         RET

IX8:     LD  BC,0008H     ;  IX ա 8 ˹
         ADD IX,BC
         RET

DEC5:    LD  A,(COUNT5)   ; Ŵ count 5 ŧ 1
         DEC A
         LD  (COUNT5),A
         RET

DEC8:    LD  A,(COUNT8)   ; Ŵ count 8 ŧ 1
         DEC A
         LD  (COUNT8),A
         RET

;----------------------
;      ˹
;----------------------
LET:     LD  D,00H
         LD  E,00H
         LD  A,05H
         LD  (COUNT5),A
         LD  A,08H
         LD  (COUNT8),A
         LD  HL,TABLE
         LD  IX,BUFFER
         RET

;----------------------;
;        DELAY         ;
;----------------------;
DELAY:   PUSH DE
         LD  E,80H
DEC_E:   DEC E
         JR  NZ,DEC_E
         POP DE
         RET

;-----------------------------------------------;
;           ŷй͡ʴŷҧ LED     ;
;-----------------------------------------------;

TABLE:   DFB 38H,44H,44H,44H
         DFB 7CH,44H,44H,00H    ; A
         DFB 78H,44H,44H,78H
         DFB 44H,44H,78H,00H    ; B
         DFB 38H,44H,40H,40H
         DFB 40H,44H,38H,00H    ; C
         DFB 70H,48H,44H,44H
         DFB 44H,48H,70H,00H    ; D
         DFB 7CH,40H,40H,78H
         DFB 40H,40H,7CH,00H    ; E
         END
































































































































































































































































































































































































































































































































































































































































































































